GeoTessCPP 2.6.1 Software to facilitate storage and retrieval of 3D information about the Earth.

Loading...
Searching...
No Matches
geotess::GeoTessDataValue< T > Class Template Reference

Manages a single data value attached to a grid node. More...

`#include <GeoTessDataValue.h>`

Inheritance diagram for geotess::GeoTessDataValue< T >:

## Public Member Functions
| GeoTessDataValue (T v)
| GeoTessDataValue ()
virtual const GeoTessDataType & | getDataType () const
virtual int | size () const
bool | operator== (const GeoTessDataValue< T > &d) const
virtual bool | operator== (const GeoTessData &d) const
virtual double | getDouble (int attributeIndex) const
virtual float | getFloat (int attributeIndex) const
virtual LONG_INT | getLong (int attributeIndex) const
virtual int | getInt (int attributeIndex) const
virtual short | getShort (int attributeIndex) const
virtual byte | getByte (int attributeIndex) const
virtual void | getValue (int attributeIndex, double &val) const
virtual void | getValue (int attributeIndex, float &val) const
virtual void | getValue (int attributeIndex, LONG_INT &val) const
virtual void | getValue (int attributeIndex, int &val) const
virtual void | getValue (int attributeIndex, short &val) const
virtual void | getValue (int attributeIndex, byte &val) const
virtual void | getValues (double values[], const int &n)
virtual void | getValues (float values[], const int &n)
virtual void | getValues (LONG_INT values[], const int &n)
virtual void | getValues (int values[], const int &n)
virtual void | getValues (short values[], const int &n)
virtual void | getValues (byte values[], const int &n)
virtual GeoTessData & | setValue (int attributeIndex, double v)
virtual GeoTessData & | setValue (int attributeIndex, float v)
virtual GeoTessData & | setValue (int attributeIndex, LONG_INT v)
virtual GeoTessData & | setValue (int attributeIndex, int v)
virtual GeoTessData & | setValue (int attributeIndex, short v)
virtual GeoTessData & | setValue (int attributeIndex, byte v)
virtual bool | isNaN (int attributeIndex) const
virtual GeoTessData * | copy ()
Public Member Functions inherited from geotess::GeoTessData
virtual int | class_size () const
virtual LONG_INT | getMemory ()
template<typename T>
void | fill (T fillValue)

## Additional Inherited Members
Static Public Member Functions inherited from geotess::GeoTessData
static string | class_name ()
static int | class_count ()
static GeoTessData * | getData (const GeoTessDataType &dataType, int nAttributes)
static GeoTessData * | getData (double values[], const int &size)
static GeoTessData * | getData (const vector< double > &values)
static GeoTessData * | getData (float values[], const int &size)
static GeoTessData * | getData (const vector< float > &values)
static GeoTessData * | getData (LONG_INT values[], const int &size)
static GeoTessData * | getData (const vector< LONG_INT > &values)
static GeoTessData * | getData (int values[], const int &size)
static GeoTessData * | getData (const vector< int > &values)
static GeoTessData * | getData (short values[], const int &size)
static GeoTessData * | getData (const vector< short > &values)
static GeoTessData * | getData (byte values[], const int &size)
static GeoTessData * | getData (const vector< byte > &values)

## Detailed Description

template<typename T>
class geotess::GeoTessDataValue< T >

Manages a single data value attached to a grid node.

Manages the data values attached to single grid node defined as a single value of type T (See DataType for supported types). The number of stored values is always 1 for this object.

Definition at line 74 of file GeoTessDataValue.h.

## Constructor & Destructor Documentation

## ◆ GeoTessDataValue() [1/2]

template<typename T>

geotess::GeoTessDataValue< T >::GeoTessDataValue | ( | T | v | ) |
| inline

Standard constructor. Sets value.

Definition at line 88 of file GeoTessDataValue.h.

## ◆ GeoTessDataValue() [2/2]

template<typename T>

geotess::GeoTessDataValue< T >::GeoTessDataValue | ( |  | ) |
| inline

Default constructor.

Definition at line 93 of file GeoTessDataValue.h.

## Member Function Documentation

## ◆ copy()

template<typename T>

virtual GeoTessData * geotess::GeoTessDataValue< T >::copy | ( |  | ) |
| inline virtual

Returns a copy of this DataValue.

Definition at line 305 of file GeoTessDataValue.h.

## ◆ getByte()

template<typename T>

virtual byte geotess::GeoTessDataValue< T >::getByte | ( | int | attributeIndex | ) | const
| inline virtual

Retrieve the value of the attribute at the specified attribute index as a bute value.

Returns
  the value of the attribute at the specified attribute index

Reimplemented from geotess::GeoTessData.

Definition at line 198 of file GeoTessDataValue.h.

## ◆ getDataType()

template<typename T>

virtual const GeoTessDataType & geotess::GeoTessDataValue< T >::getDataType | ( |  | ) | const
| inline virtual

Retrieve the DataType of this Data object. One of DOUBLE, FLOAT, LONG, INT SHORT, BYTE

Returns
  the DataType of this Data object.

Reimplemented from geotess::GeoTessData.

Definition at line 160 of file GeoTessDataValue.h.

## ◆ getDouble()

template<typename T>

virtual double geotess::GeoTessDataValue< T >::getDouble | ( | int | attributeIndex | ) | const
| inline virtual

Returns value as one of six intrinsic types.

Reimplemented from geotess::GeoTessData.

Definition at line 183 of file GeoTessDataValue.h.

## ◆ getFloat()

template<typename T>

virtual float geotess::GeoTessDataValue< T >::getFloat | ( | int | attributeIndex | ) | const
| inline virtual

Retrieve the value of the attribute at the specified attribute index as a float value.

Returns
  the value of the attribute at the specified attribute index

Reimplemented from geotess::GeoTessData.

Definition at line 186 of file GeoTessDataValue.h.

## ◆ getInt()

template<typename T>

virtual int geotess::GeoTessDataValue< T >::getInt | ( | int | attributeIndex | ) | const
| inline virtual

Retrieve the value of the attribute at the specified attribute index as a int value.

Returns
  the value of the attribute at the specified attribute index

Reimplemented from geotess::GeoTessData.

Definition at line 192 of file GeoTessDataValue.h.

## ◆ getLong()

template<typename T>

virtual LONG_INT geotess::GeoTessDataValue< T >::getLong | ( | int | attributeIndex | ) | const
| inline virtual

Retrieve the value of the attribute at the specified attribute index as a LONG_INT value.

Returns
  the value of the attribute at the specified attribute index

Reimplemented from geotess::GeoTessData.

Definition at line 189 of file GeoTessDataValue.h.

## ◆ getShort()

template<typename T>

virtual short geotess::GeoTessDataValue< T >::getShort | ( | int | attributeIndex | ) | const
| inline virtual

Retrieve the value of the attribute at the specified attribute index as a short value.

Returns
  the value of the attribute at the specified attribute index

Reimplemented from geotess::GeoTessData.

Definition at line 195 of file GeoTessDataValue.h.

## ◆ getValue() [1/6]

template<typename T>

virtual void geotess::GeoTessDataValue< T >::getValue | ( | int | attributeIndex,
|  | byte & | val ) const
| inline virtual

Returns the attribute at the input attribute index as a byte value.

Reimplemented from geotess::GeoTessData.

Definition at line 235 of file GeoTessDataValue.h.

## ◆ getValue() [2/6]

template<typename T>

virtual void geotess::GeoTessDataValue< T >::getValue | ( | int | attributeIndex,
|  | double & | val ) const
| inline virtual

Returns the attribute at the input attribute index as a double value.

Reimplemented from geotess::GeoTessData.

Definition at line 205 of file GeoTessDataValue.h.

## ◆ getValue() [3/6]

template<typename T>

virtual void geotess::GeoTessDataValue< T >::getValue | ( | int | attributeIndex,
|  | float & | val ) const
| inline virtual

Returns the attribute at the input attribute index as a float value.

Reimplemented from geotess::GeoTessData.

Definition at line 211 of file GeoTessDataValue.h.

## ◆ getValue() [4/6]

template<typename T>

virtual void geotess::GeoTessDataValue< T >::getValue | ( | int | attributeIndex,
|  | int & | val ) const
| inline virtual

Returns the attribute at the input attribute index as a int value.

Reimplemented from geotess::GeoTessData.

Definition at line 223 of file GeoTessDataValue.h.

## ◆ getValue() [5/6]

template<typename T>

virtual void geotess::GeoTessDataValue< T >::getValue | ( | int | attributeIndex,
|  | LONG_INT & | val ) const
| inline virtual

Returns the attribute at the input attribute index as a long value.

Reimplemented from geotess::GeoTessData.

Definition at line 217 of file GeoTessDataValue.h.

## ◆ getValue() [6/6]

template<typename T>

virtual void geotess::GeoTessDataValue< T >::getValue | ( | int | attributeIndex,
|  | short & | val ) const
| inline virtual

Returns the attribute at the input attribute index as a short value.

Reimplemented from geotess::GeoTessData.

Definition at line 229 of file GeoTessDataValue.h.

## ◆ getValues() [1/6]

template<typename T>

virtual void geotess::GeoTessDataValue< T >::getValues | ( | byte | values[],
|  | const int & | n )
| inline virtual

Copy value into the supplied array at index 0 as a byte value.

Reimplemented from geotess::GeoTessData.

Definition at line 266 of file GeoTessDataValue.h.

## ◆ getValues() [2/6]

template<typename T>

virtual void geotess::GeoTessDataValue< T >::getValues | ( | double | values[],
|  | const int & | n )
| inline virtual

Copy value into the supplied array at index 0 as a double value.

Reimplemented from geotess::GeoTessData.

Definition at line 241 of file GeoTessDataValue.h.

## ◆ getValues() [3/6]

template<typename T>

virtual void geotess::GeoTessDataValue< T >::getValues | ( | float | values[],
|  | const int & | n )
| inline virtual

Copy value into the supplied array at index 0 as a float value.

Reimplemented from geotess::GeoTessData.

Definition at line 246 of file GeoTessDataValue.h.

## ◆ getValues() [4/6]

template<typename T>

virtual void geotess::GeoTessDataValue< T >::getValues | ( | int | values[],
|  | const int & | n )
| inline virtual

Copy value into the supplied array at index 0 as an int value.

Reimplemented from geotess::GeoTessData.

Definition at line 256 of file GeoTessDataValue.h.

## ◆ getValues() [5/6]

template<typename T>

virtual void geotess::GeoTessDataValue< T >::getValues | ( | LONG_INT | values[],
|  | const int & | n )
| inline virtual

Copy value into the supplied array at index 0 as a LONG_INT value.

Reimplemented from geotess::GeoTessData.

Definition at line 251 of file GeoTessDataValue.h.

## ◆ getValues() [6/6]

template<typename T>

virtual void geotess::GeoTessDataValue< T >::getValues | ( | short | values[],
|  | const int & | n )
| inline virtual

Copy value into the supplied array at index 0 as a short value.

Reimplemented from geotess::GeoTessData.

Definition at line 261 of file GeoTessDataValue.h.

## ◆ isNaN()

template<typename T>

virtual bool geotess::GeoTessDataValue< T >::isNaN | ( | int | attributeIndex | ) | const
| inline virtual

Returns true if the specified attribute is NaN. when Data values are of type Byte, Short, Int and Long, this method always returns false since those types do not support NaN. float and double types are overridden and returns true if value isNaN and false otherwise.

Parameters

  attributeIndex | The attribute value to be tested.

Returns
  true if the value of the specified attribute is NaN.

Reimplemented from geotess::GeoTessData.

Definition at line 300 of file GeoTessDataValue.h.

## ◆ operator==() [1/2]

template<typename T>

virtual bool geotess::GeoTessDataValue< T >::operator== | ( | const GeoTessData & | d | ) | const
| inline virtual

Return true if the input DataValue<T> object (d) equals this DataValue<T> object.

Reimplemented from geotess::GeoTessData.

Definition at line 178 of file GeoTessDataValue.h.

## ◆ operator==() [2/2]

template<typename T>

bool geotess::GeoTessDataValue< T >::operator== | ( | const GeoTessDataValue< T > & | d | ) | const
| inline

Return true if the input DataValue<T> object (d) equals this DataValue<T> object.

Definition at line 171 of file GeoTessDataValue.h.

## ◆ setValue() [1/6]

template<typename T>

virtual GeoTessData & geotess::GeoTessDataValue< T >::setValue | ( | int | attributeIndex,
|  | byte | v )
| inline virtual

Set the value of the specified attributeIndex and return a reference to this Data object.

Parameters

  attributeIndex | the index of the attribute that is to be modified.
  v | the new value that is to replace the old value.

Returns
  a reference to this Data object.

Reimplemented from geotess::GeoTessData.

Definition at line 286 of file GeoTessDataValue.h.

## ◆ setValue() [2/6]

template<typename T>

virtual GeoTessData & geotess::GeoTessDataValue< T >::setValue | ( | int | attributeIndex,
|  | double | v )
| inline virtual

Set the value at the input attribute index to the input intrinsic.

Reimplemented from geotess::GeoTessData.

Definition at line 271 of file GeoTessDataValue.h.

## ◆ setValue() [3/6]

template<typename T>

virtual GeoTessData & geotess::GeoTessDataValue< T >::setValue | ( | int | attributeIndex,
|  | float | v )
| inline virtual

Set the value of the specified attributeIndex and return a reference to this Data object.

Parameters

  attributeIndex | the index of the attribute that is to be modified.
  v | the new value that is to replace the old value.

Returns
  a reference to this Data object.

Reimplemented from geotess::GeoTessData.

Definition at line 274 of file GeoTessDataValue.h.

## ◆ setValue() [4/6]

template<typename T>

virtual GeoTessData & geotess::GeoTessDataValue< T >::setValue | ( | int | attributeIndex,
|  | int | v )
| inline virtual

Set the value of the specified attributeIndex and return a reference to this Data object.

Parameters

  attributeIndex | the index of the attribute that is to be modified.
  v | the new value that is to replace the old value.

Returns
  a reference to this Data object.

Reimplemented from geotess::GeoTessData.

Definition at line 280 of file GeoTessDataValue.h.

## ◆ setValue() [5/6]

template<typename T>

virtual GeoTessData & geotess::GeoTessDataValue< T >::setValue | ( | int | attributeIndex,
|  | LONG_INT | v )
| inline virtual

Set the value of the specified attributeIndex and return a reference to this Data object.

Parameters

  attributeIndex | the index of the attribute that is to be modified.
  v | the new value that is to replace the old value.

Returns
  a reference to this Data object.

Reimplemented from geotess::GeoTessData.

Definition at line 277 of file GeoTessDataValue.h.

## ◆ setValue() [6/6]

template<typename T>

virtual GeoTessData & geotess::GeoTessDataValue< T >::setValue | ( | int | attributeIndex,
|  | short | v )
| inline virtual

Set the value of the specified attributeIndex and return a reference to this Data object.

Parameters

  attributeIndex | the index of the attribute that is to be modified.
  v | the new value that is to replace the old value.

Returns
  a reference to this Data object.

Reimplemented from geotess::GeoTessData.

Definition at line 283 of file GeoTessDataValue.h.

## ◆ size()

template<typename T>

virtual int geotess::GeoTessDataValue< T >::size | ( |  | ) | const
| inline virtual

Return size.

Reimplemented from geotess::GeoTessData.

Definition at line 165 of file GeoTessDataValue.h.

The documentation for this class was generated from the following files:

- rstt_v3.2.1/GeoTessCPP/include/GeoTessData.h
- rstt_v3.2.1/GeoTessCPP/include/GeoTessDataValue.h